/*
 * netamiga.rexx
 *
 * USAGE: netamiga.rexx
 *
 * netamiga.rexx
 *
 * $(C): (1994, Rocco Coluccelli, Bologna)
 * $VER: netamiga.rexx 0.02 (09.Dec.1994)
 */

ADDRESS COMMAND

MAXLINE = 80

IF ~SHOW('P','OLE_DISPLAY') THEN
	RUN '>NIL: Multiview iff/piano PORTNAME OLE_DISPLAY'

s1 = "Resume with another example."
s2 = "Some networks, created for the Amiga, add an extension"
s3 = "to the ARexx language for exchanging messages also between"
s4 = "programs running on different machines."
CALL Print(s1)
''SAY '-m -s120 -p110' s1
CALL Print(s2 s3 s4,)
''SAY '-m -s140 -p100' s2 s3 s4

ADDRESS OLE_DISPLAY "OPEN NAME iff/TokenRing.prt"
s1 = "The OLE System is composed of every kind of modules."
s2 = "Most of these are dedicated to easly add new functions"
s3 = "to programs provided of an ARexx port."
s4 = "Others are employed to establish communications between"
s5 = "different applications. Also running on different machines."
CALL Print(s1)
''SAY '-m -s120 -p120' s1
CALL Print(s2 s3 s4 s5,)
''SAY '-m -s150 -p100' s2 s3
''SAY '-m -s140 -p130' s4 s5

ADDRESS OLE_DISPLAY "OPEN NAME iff/TokenRing.prt.modem"
s1 = "The union of a network with NetRexx,"
s2 = "the power and semplicity of the ARexx language"
s3 = "(thanks to all its developers),"
s4 = "the flexibility and the convenience of the OLE System"
s5 = "drastically improves all features of my network that become"
s6 = "the nervous system of a human body."
CALL Print(s1 s2 s3 s4 s5 s6)
''SAY '-m -s140 -p110' s1 s2
ADDRESS OLE_DISPLAY "OPEN NAME iff/TokenRing.amiga"
''SAY '-m -s120 -p90' s3
''SAY '-m -s130 -p110' s4
''SAY '-m -s120 -p130' s5
''SAY '-m -s120 -p100' s6
ADDRESS OLE_DISPLAY "OPEN NAME iff/TokenRing.OLE"

EXIT 0


/*
 *	procedure to split text onto lines of MAXLINE characters length
 */
Print: PROCEDURE EXPOSE MAXLINE

	DO i = 1 TO ARG()

		line = ARG(i)
		DO FOREVER

			IF LENGTH(line) <= MAXLINE THEN DO
				ECHO line
				LEAVE
				END

			pos = MAX(LASTPOS(' ',line,MAXLINE),POS(' ',line))
			IF pos = 0 THEN DO
				ECHO line
				LEAVE
				END

			ECHO LEFT(line,pos); line = SUBSTR(line,pos + 1)
		END
	END

RETURN
