/*
 * punchMSDOS.rexx
 *
 * USAGE: punchMSDOS.rexx
 *
 * punchMSDOS.rexx
 *
 * $(C): (1994, Rocco Coluccelli, Bologna)
 * $VER: punchMSDOS.rexx 1.00 (09.Dec.1994)
 */

ADDRESS COMMAND

MAXLINE = 80

RUN '>NIL: Multiview 8svx/frustata PORTNAME OLE_PLAY1'
RUN '>NIL: Multiview 8svx/grido1 PORTNAME OLE_PLAY2'
ADDRESS OLE_PLAY1 WINDOWTOBACK
ADDRESS OLE_PLAY2 WINDOWTOBACK

s1 = "Well, dear Miss Dossmasher, do you like the OLE System?"
s2 = "Great! It seems to be fine, but what can I do with this?"
CALL Print(s1,)
''SAY '-m -s140 -p120' s1
CALL Print(s2,)
''SAY '-f -s120 -p300' s2

s1 = "As everyone can see, you're like people thinking about a network as"
s2 = "a thing good only for fishing!"
s3 = "Come closer!"
CALL Print(s1 s2)
''SAY '-m -s140 -p100' s1 s2
CALL Print(s3,)
''SAY '-m -s100 -p120' s3

WAIT 1
s1 = "Take this"
s2 = "and this"
s3 = "and this."
CALL Print(s1 s2 s3,)
''SAY '-m -s160 -p140' s1
ADDRESS OLE_PLAY1 DOTRIGGERMETHOD 'PLAY'
WAIT 1
ADDRESS OLE_PLAY2 DOTRIGGERMETHOD 'PLAY'
''SAY '-m -s160 -p140' s2
ADDRESS OLE_PLAY1 DOTRIGGERMETHOD 'PLAY'
WAIT 1
ADDRESS OLE_PLAY2 DOTRIGGERMETHOD 'PLAY'
''SAY '-m -s160 -p140' s3
ADDRESS OLE_PLAY1 DOTRIGGERMETHOD 'PLAY'
WAIT 1
ADDRESS OLE_PLAY2 DOTRIGGERMETHOD 'PLAY'

WAIT 1
s1 = "Remember, I don't like your name!"
CALL Print(s1,)
''SAY '-m -s80 -p140' s1

s1 = "Oh, boss,"
s2 = "I like when you hurt me!"
s3 = "Me too, darling,"
s4 = "mee too!"
CALL Print(s1 s2,)
''SAY '-f -s70 -p260' s1
''SAY '-f -s130 -p300' s2
ADDRESS OLE_PLAY1 DOTRIGGERMETHOD 'PLAY'
WAIT 1
ADDRESS OLE_PLAY2 DOTRIGGERMETHOD 'PLAY'
CALL Print(s3 s4,)
''SAY '-m -s140 -p70' s3
''SAY '-m -s100 -p80' s4

ADDRESS OLE_PLAY1 QUIT
ADDRESS OLE_PLAY2 QUIT

EXIT 0


/*
 *	procedure to split text onto lines of MAXLINE characters length
 */
Print: PROCEDURE EXPOSE MAXLINE

	DO i = 1 TO ARG()

		line = ARG(i)
		DO FOREVER

			IF LENGTH(line) <= MAXLINE THEN DO
				ECHO line
				LEAVE
				END

			pos = MAX(LASTPOS(' ',line,MAXLINE),POS(' ',line))
			IF pos = 0 THEN DO
				ECHO line
				LEAVE
				END

			ECHO LEFT(line,pos); line = SUBSTR(line,pos + 1)
		END
	END

RETURN
